# Abbildung 101
library(ggrepel)
pdf(file="pdf/Abb101.pdf",width=11.7/2.54, height=6.5/2.54)
par(mai=c(0,0,0,0))
a=arrow(angle=30,length=unit(0.05,"inches"),ends="last",type="closed")
ggplot() +
  expand_limits(x=2, y=0) + expand_limits(x=11, y=10) + 
  geom_segment(aes(x=4,y=0,xend=7,yend=0),linetype="solid",size=0.25)+
  geom_segment(aes(x=7,y=0,xend=7,yend=2),linetype="solid",size=0.25)+
  geom_segment(aes(x=4,y=2,xend=7,yend=2),linetype="solid",size=0.25)+
  geom_segment(aes(x=4,y=0,xend=4,yend=2),linetype="solid",size=0.25)+
  annotate("text",x=5.5,y=1.35,parse=FALSE,label="n=9",size=3) +
  annotate("text",x=5.5,y=0.65,parse=FALSE,label="1: 0%, 0: 100%",size=3) +

  geom_segment(aes(x=8,y=0,xend=11,yend=0),linetype="solid",size=0.25)+
  geom_segment(aes(x=11,y=0,xend=11,yend=2),linetype="solid",size=0.25)+
  geom_segment(aes(x=8,y=2,xend=11,yend=2),linetype="solid",size=0.25)+
  geom_segment(aes(x=8,y=0,xend=8,yend=2),linetype="solid",size=0.25)+
  annotate("text",x=9.5,y=1.35,parse=FALSE,label="n=10",size=3) +
  annotate("text",x=9.5,y=0.65,parse=FALSE,label="1: 100%, 0: 0%",size=3) +

  geom_segment(aes(x=2,y=4,xend=5,yend=4),linetype="solid",size=0.25)+
  geom_segment(aes(x=5,y=4,xend=5,yend=6),linetype="solid",size=0.25)+
  geom_segment(aes(x=2,y=6,xend=5,yend=6),linetype="solid",size=0.25)+
  geom_segment(aes(x=2,y=4,xend=2,yend=6),linetype="solid",size=0.25)+
  annotate("text",x=3.5,y=5.35,parse=FALSE,label="n=10",size=3) +
  annotate("text",x=3.5,y=4.65,parse=FALSE,label="1: 100%, 0: 0%",size=3) +

  geom_segment(aes(x=6,y=4,xend=9,yend=4),linetype="solid",size=0.25)+
  geom_segment(aes(x=9,y=4,xend=9,yend=6),linetype="solid",size=0.25)+
  geom_segment(aes(x=6,y=6,xend=9,yend=6),linetype="solid",size=0.25)+
  geom_segment(aes(x=6,y=4,xend=6,yend=6),linetype="solid",size=0.25)+
  annotate("text",x=7.5,y=5.35,parse=FALSE,label="n=19",size=3) +
  annotate("text",x=7.5,y=4.65,parse=FALSE,label="1: 52,6%, 0: 47,4%",size=3) +
  geom_segment(aes(x=7.5,y=4,xend=7.5,yend=2.75),linetype="solid",size=0.25)+
  geom_segment(aes(x=5.5,y=2.75,xend=9.5,yend=2.75),linetype="solid",size=0.25)+
  geom_segment(aes(x=5.5,y=2.75,xend=5.5,yend=2),linetype="solid",size=0.25)+
  geom_segment(aes(x=9.5,y=2.75,xend=9.5,yend=2),linetype="solid",size=0.25)+
  annotate("text",x=6.5,y=3.25,parse=TRUE,label="Alter < 40.5",size=3) +
  annotate("text",x=8.5,y=3.25,parse=TRUE,label="Alter >= 40.5",size=3) +
  
  geom_segment(aes(x=4,y=8,xend=7,yend=8),linetype="solid",size=0.25)+
  geom_segment(aes(x=7,y=8,xend=7,yend=10),linetype="solid",size=0.25)+
  geom_segment(aes(x=4,y=10,xend=7,yend=10),linetype="solid",size=0.25)+
  geom_segment(aes(x=4,y=8,xend=4,yend=10),linetype="solid",size=0.25)+
  annotate("text",x=5.5,y=9.35,parse=FALSE,label="n=29",size=3) +
  annotate("text",x=5.5,y=8.65,parse=FALSE,label="1: 69,0%, 0: 31,0%",size=3) +
  geom_segment(aes(x=5.5,y=8,xend=5.5,yend=6.75),linetype="solid",size=0.25)+
  geom_segment(aes(x=3.5,y=6.75,xend=7.5,yend=6.75),linetype="solid",size=0.25)+
  geom_segment(aes(x=3.5,y=6.75,xend=3.5,yend=6),linetype="solid",size=0.25)+
  geom_segment(aes(x=7.5,y=6.75,xend=7.5,yend=6),linetype="solid",size=0.25)+
  annotate("text",x=4.5,y=7.25,parse=TRUE,label="Alter < 29",size=3) +
  annotate("text",x=6.5,y=7.25,parse=TRUE,label="Alter >= 29",size=3) +
  
  theme(axis.line=element_blank(),axis.text.x=element_blank(),
        axis.text.y=element_blank(),axis.ticks=element_blank(),
        axis.title.x=element_blank(),
        axis.title.y=element_blank(),legend.position="none",
        panel.background=element_blank(),panel.border=element_blank(),panel.grid.major=element_blank(),
        panel.grid.minor=element_blank(),plot.background=element_blank())
dev.off() 