# Abbildungen 12 und 15 
library(ggrepel); setwd("C:/Users/Alpha/Desktop/R")

meth=c("M1","M2","M3","M4","M5","M6")
Data=matrix(0,50,2) 
Data[,1]=c(1,2,3,4,5,6,7,8,9, 1,2,3,4,5,6,7,8,9,
           1,2,3,4,5,6,7,8,9, 1,2,3,4,5,6,7,8,9, 
           1,2,3,4,5,6,7,8,9, 1,2,3,4,5)
Data[,2]=c(23,23,23,23,25,25,25,25,25,
           21,21,21,21,23,21,21,21,21,
           16,16,16,16,16,18,18,18,18,
           11,11.5,12,12.5,13,13.5,14,14.5,15,
           7,7,9,7,9,7,7,8,7,
           2,2.5,3.5,5,7)
Data=data.frame(Data); names(Data)=c("x","y")
Data$Method=meth[1]; for (i in 10:18){Data$Method[i]=meth[2]}; 
for (i in 19:27){Data$Method[i]=meth[3]}; for (i in 28:36){Data$Method[i]=meth[4]}
for (i in 37:45){Data$Method[i]=meth[5]}; for (i in 46:50){Data$Method[i]=meth[6]}; Data

pdf(file="pdf/Abb12.pdf",width=11.7/2.54, height=9/2.54)
ggplot(data=Data, aes(x=x, y=y, group=Method)) +
  geom_line(aes(linetype=Method))+ geom_point(size=0)+
  geom_point(aes(shape=Method)) + 
  annotate("text",label="M[1]",parse = TRUE,x=1,y=-1,hjust=0.5,colour="black",size=3)+
  annotate("text",label="M[2]",parse = TRUE,x=2,y=-1,hjust=0.5,colour="black",size=3)+
  annotate("text",label="M[3]",parse = TRUE,x=3,y=-1,hjust=0.5,colour="black",size=3)+
  annotate("text",label="M[4]",parse = TRUE,x=4,y=-1,hjust=0.5,colour="black",size=3)+
  annotate("text",label="X",   parse = TRUE,x=4.5,y=-1,hjust=0.5,colour="black",size=3)+
  annotate("text",label="M[5]",parse = TRUE,x=5,y=-1,hjust=0.5,colour="black",size=3)+
  annotate("text",label="M[6]",parse = TRUE,x=6,y=-1,hjust=0.5,colour="black",size=3)+
  annotate("text",label="M[7]",parse = TRUE,x=7,y=-1,hjust=0.5,colour="black",size=3)+
  annotate("text",label="M[8]",parse = TRUE,x=8,y=-1,hjust=0.5,colour="black",size=3)+
  annotate("text",label="M[9]",parse = TRUE,x=9,y=-1,hjust=0.5,colour="black",size=3)+
  annotate("text",label="Fall 1",x=9,y=Data$y[9]+1.25,hjust=1,colour="black",size=3)+
  annotate("text",label="Fall 2",x=9,y=Data$y[18]+1.25,hjust=1,colour="black",size=3)+
  annotate("text",label="Fall 3",x=9,y=Data$y[27]+1.25,hjust=1,colour="black",size=3)+
  annotate("text",label="Fall 4",x=9,y=Data$y[36]+1.25,hjust=1,colour="black",size=3)+
  annotate("text",label="Fall 5",x=9,y=Data$y[45]+1.5,hjust=1,colour="black",size=3)+
  annotate("text",label="Fall 6",x=5,y=Data$y[50]-1.25,hjust=0,colour="black",size=3)+
  theme_minimal()+labs(title="",x="Zeitachse",y="Marktanteil im Testmarkt")+
  theme(legend.position="none",legend.title=element_blank(),
        axis.text.x = element_blank(), axis.text.y = element_blank())+
  theme(axis.title.x=element_text(color="black",size=9),
        axis.title.y=element_text(color="black",size=9))
dev.off() 

meth=c("Experimentgruppe (hoher Werbedruck)","Kontrollgruppe (niedriger Werbedruck)")
Data=matrix(0,14,2) 
Data[,1]=c(0,1,2,3,4,5,6, 0,1,2,3,4,5,6)
Data[,2]=c(0,3,7,12.1,13.9,15,15.9, 0,2.0,4.5,5.5,6.1,6.9,7.6)
Data=data.frame(Data); names(Data)=c("x","y")
Data$Method=meth[1]; for (i in 8:14){Data$Method[i]=meth[2]}; Data

pdf(file="pdf/Abb15.pdf",width=11.7/2.54, height=7/2.54)
ggplot(data=Data, aes(x=x, y=y, group=Method)) +
  geom_line(aes(linetype=Method))+ geom_point(size=0)+
  geom_point(aes(shape=Method)) + 
  annotate("text",label=meth[1],x=6.05,y=Data$y[7]+1,hjust=1,colour="black",size=3)+
  annotate("text",label=meth[2],x=6.05,y=Data$y[14]+1,hjust=1,colour="black",size=3)+
  annotate("text",label="P[1]",parse = TRUE,x=1,y=-1,hjust=0.5,colour="black",size=3)+
  annotate("text",label="P[2]",parse = TRUE,x=2,y=-1,hjust=0.5,colour="black",size=3)+
  annotate("text",label="P[3]",parse = TRUE,x=3,y=-1,hjust=0.5,colour="black",size=3)+
  annotate("text",label="P[4]",parse = TRUE,x=4,y=-1,hjust=0.5,colour="black",size=3)+
  annotate("text",label="P[5]",parse = TRUE,x=5,y=-1,hjust=0.5,colour="black",size=3)+
  annotate("text",label="P[6]",parse = TRUE,x=6,y=-1,hjust=0.5,colour="black",size=3)+
  scale_linetype_manual(values=c("solid","longdash","dashed","twodash"))+
  scale_x_continuous(breaks=seq(0,6,1))+
  theme_minimal()+
  labs(title="",x="Zeitverlauf",y="Kumulierte Erstkuferrate (in %)")+
  theme(legend.position="none",legend.title=element_blank(),
        axis.text.x = element_blank())+
  theme(axis.title.x=element_text(color="black",size=9),
        axis.title.y=element_text(color="black",size=9))
dev.off() 
